#!/usr/bin/env zsh

pgrep swayidle && swayidle_state="Enabled" || swayidle_state="Disabled"

# Format: label action condition
local entries=('Select system sound output' 'select-sound-output.sh' 'true'
               "Enable or disable system sleep (Current: ${swayidle_state})" 'system-sleep-menu.sh' 'true'
               'Configure USB device access' 'usbguard-menu.py' 'pgrep usbguard-daemon'
               'Power settings (restart and shutdown)' 'system-power-menu.sh' 'true')

local entry_array=()
for ((i = 1; i <= ${#entries}; i+=3)); do
    if eval "${entries[${i} + 2]}" >/dev/null 2>&1; then
        entry_array[$((${i} / 3 + 1))]="${entries[${i}]}"
    fi
done

local scripts_dir="$(dirname "$(realpath "${0}")")"
choice="$(printf '%s\n' ${entry_array} | fuzzel --index -d)"

(( ${?} != 0 )) && exit

eval "${scripts_dir}/${entries["${choice}" * 3 + 2]}"
